Xampp und Ioncube

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Xampp und Ioncube

Postby ilse » 26. September 2009 09:49

Hallo,

trotz zahlreicher Beiträge auch hier im Forum schaffe ich es einfach nicht Ioncube und Xampp
zum laufen zu bringen.
Ich benutze Xampp 1.71 und habe mir die Ioncube Dateien besorgt.

Xampp funktioniert aber leider die php Anwendung nicht.
Hier meine Fehlemeldung

Site error: the file C:\xampp\htdocs\partner\index.php requires the ionCube PHP Loader ioncube_loader_win_5.2.dll to be installed by the site administrator.


Ich hoffe so sehr auf eure Hilfe

LG Ilse :?
ilse
 
Posts: 5
Joined: 26. September 2009 09:37

Re: Xampp und Ioncube

Postby ilse » 28. September 2009 09:41

Hallo,

merci für deine Antwort.
Ich habe Geld an den Hersteller des Scriptes bezahlt.
Dieser hat keine Erfahrung mit Xampp und sagt er kann sich nicht vorstellen,
dass das funktioniert. Auf dem Server konnte ich ioncube in Verbindung mit dem Script starten
Ich kämpfe mich durch Foren, Internetseiten... bei einigen geht es, bei anderen nicht.
Ist mir völlig unklar warum das nicht mit Xampp gehen soll.

Site error: the file C:\xampp\htdocs\partner\index.php requires the ionCube PHP Loader ioncube_loader_win_5.2.dll to be installed by the site administrator.


Ich habe diese dll von Ioncube heruntergeladen und alles ohne Erfolg nach dieser Anleitung gemacht!


The ionCube Loader - Version 3.1
--------------------------------

This package contains the latest available Loaders for the PHP versions and
operating systems that you selected.

In the package you should have:

* Loader(s)

* The Loader installation helper script (ioncube-loader-helper.php)

* A file encoded with the ionCube PHP Encoder. This is needed by the helper
script (ioncube-encoded-file.php).

* The License for use of the Loader and encoded files (LICENSE)


Installation
------------

* INSTALLING FOR RUN-TIME LOADING

The run-time loading feature is the easiest way to run encoded files, and
lets encoded files locate and install the correct Loader when needed.

Provided that run-time loading is supported on the target system, encoded
scripts and Loaders can be bundled together without the user having to install
any Loader or update their system configuration, and without having to
know about the PHP version or operating system used.

For run-time loading to work, a directory called 'ioncube' containing the
Loaders (e.g. this directory) should be placed in or above the top
directory of encoded files. For example, if you have encoded files in
or below '/var/www/htdocs/', you might place the 'ioncube' directory
in '/var/www/htdocs' or '/var/www'. If you have an application or library
to distribute, you could place the ioncube directory within the top directory
of your project or library.

It's not working - why?
-----------------------

If encoded files fail to run with run-time loading, you can test this by
using the helper PHP script 'ioncube-loader-helper.php' that's included in
this package.

1. Copy the 'ioncube-loader-helper.php' and 'ioncube-encoded-file.php' PHP scripts
to a directory where you expect encoded files to be working.

2. Access the 'ioncube-loader-helper.php' script from a web server or with a
PHP cli or cgi executable.

3. Choose the 'Run-time loading installation instructions' option.

4. The script will try to locate and install the required Loader, and will
produce output as it runs.

5. Once complete the script will either report that run-time loading is working,
will provide instructions for how to correct any issue with the server
configuration, or will report that Loaders must be installed in the php.ini
file.


* INSTALLING IN PHP.INI

Installing in the php.ini file is also simple, and offers the best
performance for encoded scripts. It is also required for systems that use
safe mode, or if PHP has been built with thread support, e.g. on Windows.

The ' php.ini installation instructions' option on the installation helper PHP
script is provided to assist with this. Access the script from a web server
or a PHP cli or cgi executable and it should tell you which Loader to install,
which file to edit and what you need to add (it's just a one line change).

Deshalb habe ich mich nun bei den Apache Friends gemeldet, mit Hoffnung auf Hilfe!
Ich hoffe sehr, Ihr könnt mir helfen damit ich die Anwendung auf Xampp ausführen kann!

Liebe Grüße
Ilse :wink:
ilse
 
Posts: 5
Joined: 26. September 2009 09:37

Re: Xampp und Ioncube

Postby ilse » 30. September 2009 08:33

Hallo nochmal,

mercy für deine Anmerkungen.
Ich suche schon nach mehreren Tagen im Netz nach Lösungen. (ioncube Xampp...)
Komme einfach nicht weiter.
Auch wenn man alles nach Anleitung macht. Die Fehlermeldung bleibt!
Habe auch bei Ioncube im Forum gepostet. Da meldet sich niemand! Toll!
Bleibt die Frage: wenn nicht (xampp oder Ioncube) helfen können, wer denn dann?

LG Ilse :(
ilse
 
Posts: 5
Joined: 26. September 2009 09:37

Re: Xampp und Ioncube

Postby Nobbie » 30. September 2009 09:24

ilse wrote:Dieser hat keine Erfahrung mit Xampp und sagt er kann sich nicht vorstellen,
dass das funktioniert.


Dann lasse Dir von diesem Hersteller nennen, in welcher Umgebung sein Script garantiert läuft. Wenn er nichts nennen kann, fordere das Geld zurück. Wenn er etwas nennen kann, melde Dich hier wieder und dann werden wir das so installieren, wie er es genannt hat.

"Xampp" ist übrigens nicht (wie offensichtlich kenntnisfreie Scriptschreiber glauben) ein eigenes Tool oder so, sondern es ist eine Zusammenstellung von frei erhältlichen Webserver Tools, die man auch ohne die Xampp Installationsprozedur einzeln herunterladen und installieren kann. Letzteres werden wir dann tun, damit es sichergestellt ist, dass nicht die Xampp-Ausrede wieder kommt.

Ich kann auch nicht erkennen, was Du eigentlich konkret unternommen hast. Das Zitieren eines Ausschnitts aus einer Installationsanleitung ist rein gar nichts wert - das kann ich mir auch selbst woanders durchlesen. Wichtiger ist: was exakt hast Du getan? BItte mit eigenen Worten beschreiben.

Auch ist die Suche nach "ioncube xampp" sinnlos, weil Xampp nur eine Abkürzung ist. Wesentlich sinnvoller wäre es, nach Ioncube und PHP5 o.ä. zu suchen, ggf. auftretende Fehlermeldungen in Google eingeben usw.
Nobbie
 
Posts: 8767
Joined: 09. March 2008 13:04

Re: Xampp und Ioncube

Postby 00000001 » 01. October 2009 10:48

Frisch ausprobiert für xampp 1.7.1

1. aktuellen Loader von Ioncube herunterladen: http://www.ioncube.com/loaders
Momentan ist leider noch keine Version für php5.3 verfügbar

2. ioncube_loader_win_5.2.dll in "xampp/php/ext" kopieren
Oder wo immer man will...

3. In der php.ini im xampp/php-Verzeichnis nach dem Eintrag "[Zend]" suchen

4. Direkt unter dieser Zeile, vor allen anderen dort aufgeführten zend_extension-Zeilen folgendes einfügen:
zend_extension_ts = C:\xampp\php\ext\ioncube_loader_win_5.2.dll

optional:
5. Den Pfad in der in 4. eingefügten Zeile an die eigenen Verhältnisse anpassen sofern der xampp nicht auf C:\ im Standardverzeichniss liegt und der ioncube-Loader nicht in das ext-Verzeichnis kopiert wurde.

6. xampp (neu-) starten
00000001
 
Posts: 3
Joined: 01. October 2009 10:39

Re: Xampp und Ioncube

Postby ilse » 01. October 2009 13:36

Hallo,

erstmal eine gute Nachricht, die Fehlermeldung ist weg!
Was wirklich seltsam ist, ich hatte alle Schritte v. 00000001 bereits mehrmals durchgeführt,
alle ohne Erfolg.

Heute habe ich folgendes gemacht:

1. Alles deinstalliert
2. 1.7.1 installiert
3. Alle Schritte von 00000001 wiederholt

Zuerst, kein Erfolg! Dann ist mir aufgefallen, dass wenn ich Xampp beendet habe ein error aufgetaucht ist.
Es wurde also nicht wirklich beendet. Ging weder mit der bat Datei noch im Fenster.

Ich habe dann das System neu gestartet. Localhost aufgerufen und dann war die Fehlermeldung weg.
Dafür steht nun da:
We Could Not Connect To Your Database: yourdatabasename
Check Your Database Settings In API/database.php


Das krieg ich aber hin. Auf zum nächsten Abenteuer...

Eine letzte Frage:
Xampp 1.7.2 hat php 5.3 heißt das, dass das Script hier nicht läuft!
ilse
 
Posts: 5
Joined: 26. September 2009 09:37

Re: Xampp und Ioncube

Postby Nobbie » 01. October 2009 13:59

ilse wrote:Xampp 1.7.2 hat php 5.3 heißt das, dass das Script hier nicht läuft!


Manche Scripts laufen problemlos unter Xampp 1.7.2 mit PHP 5.3.

Manche Scripts wiederum nicht.

"Das Script" kenne ich leider nicht.
Nobbie
 
Posts: 8767
Joined: 09. March 2008 13:04

Re: Xampp und Ioncube

Postby ilse » 01. October 2009 14:48

Hallo Nobbi,

darf ich dich noch was Fragen zur Configuration?
Die schreiben, man soll diese ...*.php anpassen!

$dbhost = "localhost";
$dbuser = "yourdatabaseusername";
$dbpass = "yourdatabasepassword";
$dbname = "yourdatabasename";


Also, ich habe mir mit phpMyAdmin eine neue Datenbank angelegt.
Diese Datenbank heißt "Partner".
Weißt du wie man für diese Datenbank den username und das Passwort einstellen kann,
damit ich diese *.php Datei ändern kann?

Ich mach ein großen Kreuz wenn ich das noch im Leben schaffe.

Liebe Grüße
Ilse
ilse
 
Posts: 5
Joined: 26. September 2009 09:37

Re: Xampp und Ioncube

Postby Nobbie » 01. October 2009 19:46

ilse wrote:darf ich dich noch was Fragen zur Configuration?


Ja, fragen kostet ja nichts.

ilse wrote:Die schreiben, man soll diese ...*.php anpassen!
....
Weißt du wie man für diese Datenbank den username und das Passwort einstellen kann,


Ja, ich würde das hinkriegen. Nachdem du aber nach zig-fachem Anlauf nicht hinkriegst, Ross und Reiter zu nennen, kriege ich es auch nicht mehr hin. Immerhin sieht es so aus, dass

a) Du denen Geld gibst
b) die Geld von Dir bekommen
c) ich sowieso gar nichts bekomme - und meine Lust durch Deine penetrante "Verschwiegenheit" aufgebraucht ist.

Am besten (sowieso) fragst Du "die"!
Nobbie
 
Posts: 8767
Joined: 09. March 2008 13:04

Re: Xampp und Ioncube

Postby 00000001 » 01. October 2009 20:02

ilse wrote:Eine letzte Frage:
Xampp 1.7.2 hat php 5.3 heißt das, dass das Script hier nicht läuft!


Sofern die Sachen mit ioncube codiert sind nicht, der aktuelle Loader läuft nur mit der php5.2er


ilse wrote:
Code: Select all
$dbhost = "localhost";
$dbuser = "root";
$dbpass = "";
$dbname = "Partner";


Also, ich habe mir mit phpMyAdmin eine neue Datenbank angelegt.
Diese Datenbank heißt "Partner".
Weißt du wie man für diese Datenbank den username und das Passwort einstellen kann,
damit ich diese *.php Datei ändern kann?


Direkt nach der Installtion, mit XAMPP-Standardsettings und dem Datenbanknamen "Partner" sollten die Settings wie oben angepasst funktionieren
00000001
 
Posts: 3
Joined: 01. October 2009 10:39

Re: Xampp und Ioncube

Postby pankajnagarkoti87 » 13. October 2009 23:28

Für den Mist muß man einiges an Geld zahlen.
pankajnagarkoti87
 
Posts: 1
Joined: 13. October 2009 21:43


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 12 guests